How exactly do I install RIDE on my Raspberry Pi?

For Raspberry Pi specific issues .. more general issues will appear in UNIX and Linux

How exactly do I install RIDE on my Raspberry Pi?

Postby ray on Sat Feb 25, 2017 2:51 pm

From the Dyalog RIDE User Guide (RIDE Version 3.0) for Dyalog 15.0 I read:
==============
Linux
The installation process for the RIDE is the same irrespective of whether it is installed as a stand-alone product or on a machine that already has Dyalog installed.

To install the RIDE:
1. Download the RIDE's .deb or .rpm file (whichever is appropriate for your
Linux distribution) from my.dyalog.com. If your Linux distribution does not
support either .deb or .rpm files, then please contact support@dyalog.com.

2. From the command line, use standard installation commands to install the
package.
The RIDE is now installed and ready to use. The RIDE icon (shortcut) is
added to the desktop.
============

Now as a Windows user, I have very little LINUX knowledge.

Question 1: Does the RPi use .deb or .rpm?

Question 2: What is the standard installation command to install a package on the Pi?
(I usually use "sudo apt-get install package-name" but this does not match up with the download in step 1!)

Or does none of this apply to the Raspberry pi?
If not, how exactly do I install RIDE on my (Jessie) Raspberry Pi?

Thanks

Ray
Ray Cannon
Please excuse any smelling pisstakes.
User avatar
ray
 
Posts: 121
Joined: Wed Feb 24, 2010 12:24 am
Location: Blackwater, Camberley. UK

Re: How exactly do I install RIDE on my Raspberry Pi?

Postby crishog on Sun Feb 26, 2017 10:43 pm

A deb package originated with Debian which is what Ubuntu is based on. I've used rpm files on redhat.

So I think you'll want the .deb for a Jessie version of linux & use dpkg to install, the deb/dpkg files are basically the same format as apt-get files
crishog
 
Posts: 42
Joined: Mon Jan 25, 2010 9:52 am

Re: How exactly do I install RIDE on my Raspberry Pi?

Postby Fiona|Dyalog on Mon Feb 27, 2017 9:00 am

The webpage http://packages.dyalog.com/ should have all the information you'll need. The RIDE that is installed is version 4.0 - documentation for this will not be available until Dyalog version 16.0 is released. However, the RIDE 3.0 documentation should be reasonably accurate for RIDE 4.0 (although I've not tested that assumption yet!).
User avatar
Fiona|Dyalog
 
Posts: 49
Joined: Mon Apr 22, 2013 12:59 pm


Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 1 guest